Subject: Resolving issue #42 (was: Fwd: [X2Go-User] Big screen problem)

From: Mike Gabriel <[email-masked]>
Date: Mon, 30 Sep 2013 07:54:03 +0000

Forwarding the below (awesome bit of information) to issue #42.

Mike

----- Weitergeleitete Nachricht von Christophe Lohr  
<[email-masked]> -----
   Datum: Mon, 30 Sep 2013 09:16:07 +0200
     Von: Christophe Lohr <[email-masked]>
Betreff: Re: [X2Go-User] Big screen problem
      An: [email-masked]

On 27/09/2013 20:56, Timo wrote:
> Yes, I have read about that but this is a little different, I think.  
> I have noticed that resizing does not work as expected but I have  
> got along by changing resolution in System Settings -> Displays. But  
> now there is not big enough geometry to go full screen.

1) Use 'cvt' or 'gtf' to compute en new Modeline for X11

2) Feed 'xrandr' with it
   xrandr --newmode <MODE-NAME> <MODELINE>
   xrandr --addmode "default" <MODE-NAME>

3)  Edit  ~/.config/monitors.xml
Look at  <output name="default">  then change  <width> , <height>  and  
  <rate>  with values of your new Modeline

4) Then ask gnome-settings-daemon to apply changes:
dbus-send --session --print-reply --dest=org.gnome.SettingsDaemon  
/org/gnome/SettingsDaemon/XRANDR  
org.gnome.SettingsDaemon.XRANDR_2.ApplyConfiguration int64:0 int64:0

5) Scrip it, or forget gnome ;-)

Regards
Christophe

_______________________________________________
X2Go-User mailing list
[email-masked]
https://lists.berlios.de/mailman/listinfo/x2go-user

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb